Loading...
Searching...
No Matches
Sip_organization

## Macros

#define | sip_organization(sip)
| Access a SIP Organization header structure sip_organization_t from sip_t.
#define | SIP_ORGANIZATION_INIT()
| Initializer for structure sip_organization_t.
#define | SIPTAG_ORGANIZATION(x)
| Tag list item for pointer to a Organization header structure sip_organization_t.
#define | SIPTAG_ORGANIZATION_REF(x)
| Tag list item for reference to a Organization header pointer.
#define | SIPTAG_ORGANIZATION_STR(s)
| Tag list item for string with Organization header value.
#define | SIPTAG_ORGANIZATION_STR_REF(x)
| Tag list item for reference to a Organization header string.

## Typedefs

typedef struct msg_generic_s | sip_organization_t
| @

## Functions

issize_t | sip_organization_d (su_home_t *, msg_header_t *, char *s, isize_t slen)
| Parse a SIP Organization header.
issize_t | sip_organization_e (char b[], isize_t bsiz, msg_header_t const *h, int flags)
| Print a SIP Organization header.
sip_organization_t * | sip_organization_init (sip_organization_t x[1])
| Initialize a structure sip_organization_t.
int | sip_is_organization (sip_header_t const *header)
| Test if header object is instance of sip_organization_t.
sip_organization_t * | sip_organization_dup (su_home_t *home, sip_organization_t const *hdr))
| Duplicate a list of Organization header header structures sip_organization_t.
sip_organization_t * | sip_organization_copy (su_home_t *home, sip_organization_t const *hdr))
| Copy a list of Organization header header structures sip_organization_t.
sip_organization_t * | sip_organization_make (su_home_t *home, char const *s))
| Make a Organization header structure sip_organization_t.
sip_organization_t * | sip_organization_format (su_home_t *home, char const *fmt,...)))
| Make a Organization header from formatting result.

## Variables

msg_hclass_t | sip_organization_class []
| Header class for Organization header.
tag_typedef_t | siptag_organization
| Tag for Organization header object.
tag_typedef_t | siptag_organization_str
| Tag for string with Organization header value.

## Detailed Description

## Macro Definition Documentation

## SIP_ORGANIZATION_INIT

#define SIP_ORGANIZATION_INIT | ( |  | ) |

Initializer for structure sip_organization_t.

A static sip_organization_t structure for Organization header must be initialized with the SIP_ORGANIZATION_INIT() macro. For instance,

sip_organization_t sip_organization = SIP_ORGANIZATION_INIT;
sip_organization
#define sip_organization(sip)
Access a SIP Organization header structure sip_organization_t from sip_t.
Definition sip_protos.h:6081
SIP_ORGANIZATION_INIT
#define SIP_ORGANIZATION_INIT()
Initializer for structure sip_organization_t.
Definition sip_protos.h:6098
sip_organization_t
struct msg_generic_s sip_organization_t
@
Definition sip.h:165

## SIPTAG_ORGANIZATION

#define SIPTAG_ORGANIZATION | ( |  | x | ) |

Tag list item for pointer to a Organization header structure sip_organization_t.

The SIPTAG_ORGANIZATION() macro is used to include a tag item with a pointer to a sip_organization_t structure in a tag list.

Parameters

  x | pointer to a sip_organization_t structure, or NULL.

The corresponding tag taking reference parameter is SIPTAG_ORGANIZATION_REF().

## SIPTAG_ORGANIZATION_STR

#define SIPTAG_ORGANIZATION_STR | ( |  | s | ) |

Tag list item for string with Organization header value.

The SIPTAG_ORGANIZATION_STR() macro is used to include a tag item with a string containing value of a sip_organization_t header in a tag list.

Parameters

  s | pointer to a string containing Organization header value, or NULL.

The string in SIPTAG_ORGANIZATION_STR() can be converted to a sip_organization_t header structure by giving the string s has second argument to function sip_organization_make().

The corresponding tag taking reference parameter is SIPTAG_ORGANIZATION_STR_REF().

## Typedef Documentation

## sip_organization_t

typedef struct msg_generic_s sip_organization_t

@

The Organization header field conveys the name of the organization to which the entity issuing the request or response belongs. Its syntax is defined in RFC 3261 as follows:

Organization = "Organization" HCOLON [TEXT-UTF8-TRIM]

The parsed Organization header is stored in sip_organization_t structure.

The structure sip_organization_t contains representation of a SIP Organization header.

The sip_organization_t is defined as follows:

typedef struct msg_generic_s
{
msg_common_t g_common[1]; // Common fragment info
msg_generic_t *g_next; // Link to next header
char const *g_string; // Organization text
} sip_organization_t;
msg_common_t
struct msg_common_s msg_common_t
msg_generic_s
msg_generic_s::g_common
msg_common_t g_common[1]
msg_generic_s::g_string
char const * g_string
msg_generic_s::g_next
msg_generic_t * g_next

## Function Documentation

## sip_is_organization()

int sip_is_organization | ( | sip_header_t const * | header | ) |

inline

Test if header object is instance of sip_organization_t.

Check if the header class is an instance of Organization header object and return true (nonzero), otherwise return false (zero).

Parameters

  header | pointer to the header structure to be tested

Return values

  1 | (true) if the header is an instance of header organization
  0 | (false) otherwise

## sip_organization_copy()

sip_organization_t * sip_organization_copy | ( | su_home_t * | home,
|  | sip_organization_t const * | hdr )

inline

Copy a list of Organization header header structures sip_organization_t.

The function sip_organization_copy() copies a header structure hdr. If the header structure hdr contains a reference (`hdr->h_next`) to a list of headers, all the headers in that list are copied, too. The function uses given memory home to allocate all the memory areas used to copy the list of header structure hdr.

Parameters

  home | memory home used to allocate new structure
  hdr | pointer to the header structure to be copied

When copying, only the header structure and parameter lists attached to it are duplicated. The new header structure retains all the references to the strings within the old hdr header, including the encoding of the old header, if present.

Example
  organization = sip_organization_copy(home, sip->sip_organization);
  sip_organization_copy
  sip_organization_t * sip_organization_copy(su_home_t *home, sip_organization_t const *hdr))
  Copy a list of Organization header header structures sip_organization_t.
  Definition sip_protos.h:6228

Returns
  A pointer to newly copied header structure, or NULL upon an error.

## sip_organization_dup()

sip_organization_t * sip_organization_dup | ( | su_home_t * | home,
|  | sip_organization_t const * | hdr )

inline

Duplicate a list of Organization header header structures sip_organization_t.

Duplicate a header structure hdr. If the header structure hdr contains a reference (`hdr->x_next`) to a list of headers, all the headers in the list are duplicated, too.

Parameters

  home | memory home used to allocate new structure
  hdr | header structure to be duplicated

When duplicating, all parameter lists and non-constant strings attached to the header are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header.

Example
  organization = sip_organization_dup(home, sip->sip_organization);
  sip_organization_dup
  sip_organization_t * sip_organization_dup(su_home_t *home, sip_organization_t const *hdr))
  Duplicate a list of Organization header header structures sip_organization_t.
  Definition sip_protos.h:6185

Returns
  A pointer to the newly duplicated sip_organization_t header structure, or NULL upon an error.

## sip_organization_format()

sip_organization_t * sip_organization_format | ( | su_home_t * | home,
|  | char const * | fmt,
|  |  | ... )

inline

Make a Organization header from formatting result.

Make a new sip_organization_t object using formatting result as its value. The function first prints the arguments according to the format fmt specified. Then it allocates a new header structure, and parses the formatting result to the structure sip_organization_t.

Parameters

  home | memory home used to allocate new header structure.
  fmt | string used as a printf()-style format
  ... | argument list for format

Returns
  A pointer to newly makes header structure, or NULL upon an error.

## sip_organization_init()

sip_organization_t * sip_organization_init | ( | sip_organization_t | x[1] | ) |

inline

Initialize a structure sip_organization_t.

An sip_organization_t structure for Organization header can be initialized with the sip_organization_init() function/macro. For instance,

sip_organization_t sip_organization;
sip_organization_init(&sip_organization);
sip_organization_init
sip_organization_t * sip_organization_init(sip_organization_t x[1])
Initialize a structure sip_organization_t.
Definition sip_protos.h:6116

## sip_organization_make()

sip_organization_t * sip_organization_make | ( | su_home_t * | home,
|  | char const * | s )

inline

Make a Organization header structure sip_organization_t.

The function sip_organization_make() makes a new sip_organization_t header structure. It allocates a new header structure, and decodes the string s as the value of the structure.

Parameters

  home | memory home used to allocate new header structure.
  s | string to be decoded as value of the new header structure

Returns
  A pointer to newly maked sip_organization_t header structure, or NULL upon an error.

## Variable Documentation

## sip_organization_class

msg_hclass_t sip_organization_class[]

extern

Header class for Organization header.

The header class sip_organization_class defines how a SIP Organization header is parsed and printed. It also contains methods used by SIP parser and other functions to manipulate the sip_organization_t header structure.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.